<div class="container table_container table-responsive" ng-init="load_study()">
    <div ng-show="loading" class="loading">Loading&#8230;</div>
    <form class="search_form">
        <div class="form-group">
            <div class="input-group">
                <div class="input-group-addon">
                    <i class="fa fa-search"></i>
                </div>
                <input type="text" class="form-control" placeholder="Search by Patient Name and Study ID" ng-model="search">
            </div>
        </div>
    </form>
    <table class="table data_table">
        <thead>
            <tr>
                <td>Study</td>
                <td>Patient</td>
                <td>Modality</td>
                <td>Body Part</td>
                <td>Status</td>
                <td>Created At</td>
                <td>Actions</td>
                <td>Urgency</td>
            </tr>
        </thead>
        <tbody>
            <tr ng-repeat="order in orders">
                <td>
                    <a ng-click="clickEvent(order.guid, order.meta_status)">Study {{order.id}}</a>
                </td>
                <td>{{ order.patient_name }} ({{ order.patient_age }}) - {{ order.patient_id }}</td>
                <td>{{ order.modality }}</td>
                <td>{{ order.patient_bodypartexamined }}</td>
                <td>
                    <div class="syncing">
                        <span ng-if="order.meta_status == 1" > Report Pending</span>
                        <span ng-if="order.meta_status == 2" > Report Created</span>
                        <span ng-if="order.meta_status == 3" > Report Sent</span>
                        <span ng-if="order.meta_status == 4" > Report Created</span>
                        <span ng-if="order.meta_status == 5" > Image Received</span>
                    </div>
                </td>
                <td>{{ order.created_at | momentCalander }}</td>
                <td>
                    <button title="Preview Report" ng-if="order.report_filename" type="button" class="btn btn-default btn-md" data-toggle="modal" data-target="#myModal_{{ order.id }}">
                        <i class="fa fa-file-text-o"></i>
                    </button>
                    <span ng-if="!order.report_filename">None </span>
                    <a title="Download DICOMDIR" ng-if="order.iso_file_name" download="{{ order.iso_file_name }}"
                       href="{{ order.iso_file_name | AppStorage }}" class="btn btn-default btn-md">
                        <i class="glyphicon glyphicon-cd"></i>
                    </a>
                    <button title="Generate DICOMDIR" ng-if="!order.iso_file_name" ng-click="generateISO(order.guid)" class="btn btn-default btn-md">
                        <i class="fa fa-repeat" aria-hidden="true"></i>
                    </button>
                </td>
                <td>
                    <div class="status">
                        <span class="stat" ng-if="order.priority == 'Urgent'">STAT</span>
                        <span class="routine" ng-if="order.priority == 'Routine'">ROUTINE</span>
                        <span class="routine" ng-if="order.priority == null">NOT SET</span>
                    </div>
                </td>
                <td>
                    <div id="myModal_{{ order.id }}" class="modal fade" role="dialog">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title"> Report Viewer</h4>
                                </div>
                                <div>
                                    <iframe style="border:1px solid #ccc;" ng-src="{{ order.report_filename | AppStorage }}" width=100%
                                    height=540></iframe>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div id="withoutLetterheadModal_{{ order.id }}" class="modal fade" role="dialog">
                        <div class="modal-dialog modal-lg">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <button type="button" class="close" data-dismiss="modal">&times;</button>
                                    <h4 class="modal-title">Preview Report</h4>
                                </div>
                                <div>
                                    <iframe style="border:1px solid #ccc;" ng-src="{{ order.normal_report_filename | AppStorage }}" width=100%
                                    height=540></iframe>
                                </div>
                            </div>
                        </div>
                    </div>
                </td>
            </tr>
        </tbody>
    </table>
    <div class="col-lg-12">
        <pagination items-per-page="maxSize" ng-change="load_study()" total-items="bigTotalItems" ng-model="bigCurrentPage" max-size="maxSize" class="pagination-sm" boundary-links="true" rotate="false" num-pages="numPages"></pagination>
    </div>
    <div class="clearfix"></div>
    <div class="text-center" ng-show="orders.length < 1">
        <span>No Studies Found</span>
    </div>
</div>
